icetImageGetNumPixels(3)

NAME

icetImageGetWidth,icetImageGetHeight,icetImageGetNumPixels-- get dimensions of an image

Synopsis

#include <IceT.h>

IceTSizeType | icetImageGetWidth | ( const IceTImage | image | );
IceTSizeType | icetImageGetHeight | ( const IceTImage | image | );
IceTSizeType | icetImageGetNumPixels | ( const IceTImage | image | );

Description

icetImageGetWidth,icetImageGetHeight,and icetImageGetNumPixelsallow you to query the size of an image with respect to the number of pixels. These functions define the buffer size returned by icetImageGetColor and icetImageGetDepth.

Return Value

icetImageGetWidthreturns the number of pixels along the horizontal axis of the image and icetImageGetHeightreturns the number of pixels along the vertical axis of the image. icetImageGetNumPixelsis a convenience function that returns the total number of pixels in image (the width times the height).

Errors

None.

Warnings

None.

Bugs

None known.

Copyright

Copyright (C)2010 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetImageGetColor(3), icetImageGetDepth(3)